    import RestQueryBuilder from 'f.lux/src/collection/RestQueryBuilder.js'

public class | source

# RestQueryBuilder

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | filter: {} |

## Method Summary

Public Methods
public | applyFilter(url: *): * Updates the collection URL instance variable. |
public | equals(name: *, value: *): * |
public | filterOp(name: *, op: *, value: *): * |
public | gt(name: *, value: *): * |
public | gte(name: *, value: *): * |
public | lt(name: *, value: *): * |
public | lte(name: *, value: *): * |
public | toString(): * |

## Public Constructors

### public constructor() source

## Public Members

### public filter: {} source

## Public Methods

### public applyFilter(url: *): * source

Updates the collection URL instance variable.

Note: This method will permanently overwrite the currently set URL.

#### Params:

Name | Type | Attribute | Description
url | * |  |

#### Return:

*

### public equals(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public filterOp(name: *, op: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
op | * |  |
value | * |  |

#### Return:

*

### public gt(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public gte(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public lt(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public lte(name: *, value: *): * source

#### Params:

Name | Type | Attribute | Description
name | * |  |
value | * |  |

#### Return:

*

### public toString(): * source

#### Return:

*